#include "Camera.h"

using namespace std;

void Camera::setCameraColor(const Camera::CameraColor cameraColor) {
    m_cameraColor = cameraColor;
    pixelSize=(cameraColor==CameraColor_Mono?1:cameraColor==CameraColor_BGR?3:1);
}

Camera::CameraColor Camera::cameraColor() const {return m_cameraColor;}

Camera::Camera() {
    resultBuffer=NULL;
    readData=false;

    setCameraColor(CameraColor_BGR);
    //pixelSize=1;
}

int Camera::connect(int /*camera_id*/){return 1;}

int Camera::grab(cv::Mat */*output*/){return 1;}
